CVC4::RegExp Class Reference

`#include <regexp.h>`

## Public Member Functions

| RegExp ()
| RegExp (const int t)
| ~RegExp ()
bool | operator== (const RegExp &y) const
bool | operator!= (const RegExp &y) const
bool | operator< (const RegExp &y) const
bool | operator> (const RegExp &y) const
bool | operator<= (const RegExp &y) const
bool | operator>= (const RegExp &y) const
int | getType () const

## Protected Attributes

int | d_type

## Detailed Description

Definition at line 302 of file regexp.h.

## Constructor & Destructor Documentation

## RegExp() [1/2]

CVC4::RegExp::RegExp | ( |  | ) |

inline

Definition at line 306 of file regexp.h.

## RegExp() [2/2]

CVC4::RegExp::RegExp | ( | const int | t | ) |

inline

Definition at line 308 of file regexp.h.

## ~RegExp()

CVC4::RegExp::~RegExp | ( |  | ) |

inline

Definition at line 310 of file regexp.h.

## Member Function Documentation

## getType()

int CVC4::RegExp::getType | ( |  | ) | const

inline

Definition at line 336 of file regexp.h.

Referenced by CVC4::RegExpHashFunction::operator()().

## operator!=()

bool CVC4::RegExp::operator!= | ( | const RegExp & | y | ) | const

inline

Definition at line 316 of file regexp.h.

References d_type.

## operator<()

bool CVC4::RegExp::operator< | ( | const RegExp & | y | ) | const

inline

Definition at line 320 of file regexp.h.

References d_type.

## operator<=()

bool CVC4::RegExp::operator<= | ( | const RegExp & | y | ) | const

inline

Definition at line 328 of file regexp.h.

References d_type.

## operator==()

bool CVC4::RegExp::operator== | ( | const RegExp & | y | ) | const

inline

Definition at line 312 of file regexp.h.

References d_type.

## operator>()

bool CVC4::RegExp::operator> | ( | const RegExp & | y | ) | const

inline

Definition at line 324 of file regexp.h.

References d_type.

## operator>=()

bool CVC4::RegExp::operator>= | ( | const RegExp & | y | ) | const

inline

Definition at line 332 of file regexp.h.

References d_type.

## Field Documentation

## d_type

int CVC4::RegExp::d_type

protected

Definition at line 304 of file regexp.h.

Referenced by operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

The documentation for this class was generated from the following file:

- src/util/regexp.h